digiKam Developer Documentation: Digikam::TableView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::TableView Class Reference
Inheritance diagram for Digikam::TableView:

## Public Slots
void | rename ()
void | slotAwayFromSelection ()
| Unselects the current selection and changes the current item.
void | slotDeleteSelected (const ItemViewUtilities::DeleteMode deleteMode=ItemViewUtilities::DeleteUseTrash)
void | slotDeleteSelectedWithoutConfirmation (const ItemViewUtilities::DeleteMode deleteMode=ItemViewUtilities::DeleteUseTrash)
void | slotGoToRow (const int rowNumber, const bool relativeMove)
void | slotPaste ()
void | slotSetActive (const bool isActive)
void | slotSetCurrentUrlWhenAvailable (const QUrl &url)
void | slotSetCurrentWhenAvailable (const qlonglong id)

## Signals
void | signalInsertSelectedToExistingQueue (int queue)
void | signalItemsChanged ()
void | signalPopupTagsView ()
void | signalPreviewRequested (const ItemInfo &info)
void | signalShowContextMenu (QContextMenuEvent *event, const QList< QAction * > &actions)
void | signalShowContextMenuOnInfo (QContextMenuEvent *event, const ItemInfo &info, const QList< QAction * > &actions, ItemFilterModel *filterModel=nullptr)
void | signalZoomInStep ()
void | signalZoomOutStep ()

## Public Member Functions
| TableView (QItemSelectionModel *const selectionModel, DCategorizedSortFilterProxyModel *const imageFilterModel, QWidget *const parent)
ItemInfoList | allItemInfos (bool grouping=false) const
bool | allNeedGroupResolving (const OperationType type) const
void | clearSelection ()
Album * | currentAlbum () const
ItemInfo | currentInfo () const
ItemInfo | deepRowItemInfo (const int rowNumber, const bool relative) const
ThumbnailSize | getThumbnailSize () const
void | invertSelection ()
ItemInfo | nextInfo () const
int | numberOfSelectedItems () const
ItemInfo | previousInfo () const
void | selectAll ()
ItemInfoList | selectedItemInfos (bool grouping=false) const
ItemInfoList | selectedItemInfosCurrentFirst (bool grouping=false) const
bool | selectedNeedGroupResolving (const OperationType type) const
void | setThumbnailSize (const ThumbnailSize &size)
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setConfigGroup (const KConfigGroup &group)
| Sets a dedicated config group that will be used to store and reload the state from.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Protected Slots
void | slotGroupingModeActionTriggered ()
void | slotItemActivated (const QModelIndex &tableViewIndex)

## Protected Member Functions
void | doLoadState () override
| Implement this hook method for state loading.
void | doSaveState () override
| Implement this hook method for state saving.
bool | eventFilter (QObject *watched, QEvent *event) override
QList< QAction * > | getExtraGroupingActions ()
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Additional Inherited Members
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...

## Member Function Documentation

## ◆ doLoadState()

void Digikam::TableView::doLoadState | ( |  | ) |
| overrideprotectedvirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ doSaveState()

void Digikam::TableView::doSaveState | ( |  | ) |
| overrideprotectedvirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ invertSelection()

void Digikam::TableView::invertSelection | ( |  | ) |

## ◆ selectAll()

void Digikam::TableView::selectAll | ( |  | ) |

## ◆ slotAwayFromSelection

void Digikam::TableView::slotAwayFromSelection | ( |  | ) |
| slot

## ◆ slotDeleteSelected

void Digikam::TableView::slotDeleteSelected | ( | const ItemViewUtilities::DeleteMode | deleteMode = `ItemViewUtilities::DeleteUseTrash` | ) |
| slot

## ◆ slotSetCurrentWhenAvailable

void Digikam::TableView::slotSetCurrentWhenAvailable | ( | const qlonglong | id | ) |
| slot